Create User Attribute
Stay organized with collections
Save and categorize content based on your preferences.
Version 4.0.26.12 (latest)
Create a new user attribute
Permission information for a user attribute is conveyed through the can and user_can_edit fields.
The user_can_edit field indicates whether an attribute is user-editable anywhere in the application.
The can field gives more granular access information, with the set_value child field indicating whether
an attribute's value can be set by Setting the User Attribute User Value.
Note: name and label fields must be unique across all user attributes in the Looker instance.
Attempting to create a new user attribute with a name or label that duplicates an existing
user attribute will fail with a 422 error.
Request
POST
/user_attributes
Expand HTTP Body definition...
Expand UserAttribute definition...
can
lock
object
Operations the current user is able to perform on this object
name
string
Name of user attribute
label
string
Human-friendly label for user attribute
type
string
Type of user attribute ("string", "number", "datetime", "yesno", "zipcode", "advanced_filter_string", "advanced_filter_number")
default_value
string
Default value for when no value is set on the user
is_system
lock
boolean
Attribute is a system default
is_permanent
lock
boolean
Attribute is permanent and cannot be deleted
value_is_hidden
boolean
If true, users will not be able to view values of this attribute
user_can_view
boolean
Non-admin users can see the values of their attributes and use them in filters
user_can_edit
boolean
Users can change the value of this attribute for themselves
hidden_value_domain_whitelist
string
Destinations to which a hidden attribute may be sent. Once set, cannot be edited.
needed_for_ci_run
boolean
Whether this user attribute is needed for a CI run
value_for_ci_run
string
The value to use for this user attribute during a CI run
Expand HTTP Query definition...
fields
string
Requested fields.
Response
200: User Attribute
can
lock
object
Operations the current user is able to perform on this object
name
string
Name of user attribute
label
string
Human-friendly label for user attribute
type
string
Type of user attribute ("string", "number", "datetime", "yesno", "zipcode", "advanced_filter_string", "advanced_filter_number")
default_value
string
Default value for when no value is set on the user
is_system
lock
boolean
Attribute is a system default
is_permanent
lock
boolean
Attribute is permanent and cannot be deleted
value_is_hidden
boolean
If true, users will not be able to view values of this attribute
user_can_view
boolean
Non-admin users can see the values of their attributes and use them in filters
user_can_edit
boolean
Users can change the value of this attribute for themselves
hidden_value_domain_whitelist
string
Destinations to which a hidden attribute may be sent. Once set, cannot be edited.
needed_for_ci_run
boolean
Whether this user attribute is needed for a CI run
value_for_ci_run
string
The value to use for this user attribute during a CI run
400: Bad Request
message
lock
string
Error details
documentation_url
lock
string
Documentation link
404: Not Found
message
lock
string
Error details
documentation_url
lock
string
Documentation link
409: Resource Already Exists
message
lock
string
Error details
documentation_url
lock
string
Documentation link
422: Validation Error
message
lock
string
Error details
Expand ValidationErrorDetail definition...
field
lock
string
Field with error
code
lock
string
Error code
message
lock
string
Error info message
documentation_url
lock
string
Documentation link
documentation_url
lock
string
Documentation link
429: Too Many Requests
message
lock
string
Error details
documentation_url
lock
string
Documentation link
Examples
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-07-13 UTC.
[null,null,["Last updated 2026-07-13 UTC."],[],[]]